Page MenuHomePhabricator

[Doc] Document "Splat" in the lexicon
ClosedPublic

Authored by chenwj on May 8 2017, 6:06 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

chenwj created this revision.May 8 2017, 6:06 AM
spatel accepted this revision.May 8 2017, 7:33 AM

LGTM. A couple of potential changes, but I leave that to you if you think it's better:

  1. A shorter statement:

Splat refers to a vector of identical scalar elements.

  1. We could add a sentence for the historical background:

The term is based on the PowerPC Altivec instructions that provided this functionality in hardware. For example, "vsplth" and the corresponding software intrinsic "vec_splat()".

This revision is now accepted and ready to land.May 8 2017, 7:33 AM

Splat is a synonym for broadcast as well, probably worth adding a mention.

chenwj updated this revision to Diff 98433.May 10 2017, 6:01 AM

@spatel @aemerson Done. If everything looks fine, please help me commit it as I have no commit access, thanks.

How about we add another hardware example and group those together:

Splat refers to a vector of identical scalar elements.

The term is based on the PowerPC Altivec instructions that provided
this functionality in hardware. For example, "vsplth" and the corresponding
software intrinsic "vec_splat()". Other hardware names for this action may be
"duplicate" (ARM) or "broadcast" (x86).

chenwj updated this revision to Diff 98625.May 11 2017, 6:13 AM

Add more example.

How about we add another hardware example and group those together:

Done. I think we already cover all major hardwares. ;-)

This revision was automatically updated to reflect the committed changes.